Subject: bug#63365: 30.0.50; GCC 13.1 breaks building Emacs with native-compilation

From: Arash Esbati <[email-masked]>
Date: Fri, 26 Jan 2024 21:33:31 +0100

Eli Zaretskii <[email-masked]> writes:

> That's good to know, but I also wanted to be sure that
> emacs_backtrace.txt can now be processed with addr2line.  If you have
> a way of causing Emacs to crash and output emacs_backtrace.txt, please
> test that.  If not, this can wait until there is some crash.

Ok, I will play with this and see if I can trigger the issue again; I'll
report back.

> P.S. Btw, I recommend using -g3, not -g0, as the former will produce
> more useful debug info.

Thanks, got it.  I have an aged Windows box here and tried to optimize
the build as far as possible for daily usage, and then rebuild for
specific bug reports with other flags.

Best, Arash